---
title: "UseCustomFieldConfig"
generated: true
---
<GenerationInfo sourceFile="packages/dashboard/src/lib/hooks/use-custom-field-config.ts" sourceLine="15" packageName="@vendure/dashboard" since="3.4.0" />

Returns the custom field config for the given entity type (e.g. 'Product').
Also filters out any custom fields that the current active user does not
have permissions to access.

```ts title="Signature"
function useCustomFieldConfig(entityType: string): CustomFieldConfig[]
```
Parameters

### entityType

<MemberInfo kind="parameter" type={`string`} />

